%global serial 4
%global meadalpha %{nil}
%global meadrel %{nil}
%global version_major 1
%global version_minor 6
%global version_micro 0
Name: gateway-rockspecs
Version: %{version_major}.%{version_minor}.%{version_micro}
Release: %{serial}%{?dist}
Summary: Lua Dependencies for 3scale API gateway (APIcast).
# router and inspect are MIT, lua-resty is BSD, lua-resty-jwt is Apache.
License: MIT and BSD-2-Clause and Apache
URL: https://github.com/3scale/apicast
BuildArch: noarch

Source0: licenses.xml
Source1: https://luarocks.org/manifests/pintsized/lua-resty-http-0.12-0.src.rock
Source2: https://luarocks.org/manifests/kikito/router-2.1-0.src.rock
Source3: https://luarocks.org/manifests/kikito/inspect-3.1.1-0.src.rock
Source4: https://luarocks.org/manifests/cdbattags/lua-resty-jwt-0.2.0-0.src.rock
Source5: https://luarocks.org/manifests/3scale/lua-resty-url-0.3.5-1.src.rock
Source6: https://luarocks.org/manifests/3scale/lua-resty-env-0.4.0-1.src.rock
Source7: https://luarocks.org/manifests/3scale/liquid-0.1.3-1.src.rock
Source8: https://luarocks.org/manifests/3scale/penlight-1.5.4-1.src.rock
Source9: https://luarocks.org/manifests/mpeterv/argparse-0.5.0-1.src.rock
Source10: https://luarocks.org/manifests/3scale/lua-resty-execvp-0.1.1-1.src.rock
Source11: https://luarocks.org/manifests/3scale/luafilesystem-ffi-0.1.0-1.src.rock
Source12: https://luarocks.org/manifests/3scale/lua-resty-jit-uuid-0.0.7-1.src.rock
Source13: https://luarocks.org/manifests/knyar/nginx-lua-prometheus-0.20171117-4.src.rock
Source14: https://luarocks.org/manifests/hamish/lua-resty-iputils-0.3.0-1.src.rock


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: luarocks rpm-build redhat-rpm-config rpmdevtools
# Using requires so we can regenerate the manifest on installation.
Requires: luarocks gateway-rockspecs-native

%description
RPM to bundle required Lua dependencies for AMP APIcast Gateway.

%prep
%autosetup -T -c %{name}-%{version}

%install
for source in "%{_sourcedir}"/*.src.rock; do
  luarocks install --deps-mode=none --tree %{buildroot}/usr/local "$source"
done
# Remove manifest (will be re-created at post to avoid owning it
rm -f %{buildroot}/usr/local/lib64/luarocks/rocks/manifest

# Install licenses in standard location
cp "%{_sourcedir}"/licenses.xml .

%post
luarocks-admin --tree=/usr/local  make_manifest --local-tree

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/local/lib64/luarocks/
/usr/local/share/lua/
%license licenses.xml

%changelog
* Tue Jun 18 2019 David Ortiz <dortiz@redhat.com>
- Update dependencies for APIcast AMP 2.6

* Mon Mar 25 2019 Fernando Nasser <fnasser@redhat.com> - 1.5.0-4
- Use the new license macro

* Wed Mar 13 2019 Fernando Nasser <fnasser@redhat.com> - 1.5.0-3
- Remove manifest before installation

* Wed Mar 13 2019 David Ortiz <dortiz@redhat.com> - 1.5.0-2
- Rebuild without natives

* Tue Mar 12 2019 David Ortiz <dortiz@redhat.com>
- Update dependencies for APIcast AMP 2.5
* Wed Oct 24 2018 David Ortiz <dortiz@redhat.com>
- Update dependencies for APIcast AMP 2.4
* Fri Aug 31 2018 Michal Cichra <mcichra@redhat.com>
- Update dependencies for APIcast AMP 2.3
* Wed Feb 28 2018 Michal Cichra <mcichra@redhat.com>
- Update dependencies for APIcast AMP 2.2
* Thu Aug 24 2017 Michal Cichra <mcichra@redhat.com>
- Fix invalid licenses.xml
* Thu Aug 24 2017 Michal Cichra <mcichra@redhat.com>
- Add licenses.xml
* Wed Jul 26 2017 Michal Cichra <mcichra@redhat.com>
- Update dependencies to match AMP APIcast 2.1.0 ER1
* Thu Mar 23 2017 Nick Cross <ncross@redhat.com>
- Add lua-resty-jwt-0.1.9-0.src.rock
* Wed Oct 12 2016 Nick Cross <ncross@redhat.com>
-
